# Uses of Class
org.apache.sysds.parser.ParserWrapper

Packages that use ParserWrapper
Package
Description
org.apache.sysds.parser
org.apache.sysds.parser.dml

## Uses of ParserWrapper in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return ParserWrapper
Modifier and Type
Method
Description
`static ParserWrapper`
ParserFactory.`createParser()`
`static ParserWrapper`
ParserFactory.`createParser(Map<String,String> nsscripts)`
Factory method for creating parser wrappers

## Uses of ParserWrapper in org.apache.sysds.parser.dml

Subclasses of ParserWrapper in org.apache.sysds.parser.dml
Modifier and Type
Class
Description
`class`
`DMLParserWrapper`
This is the main entry point for the Antlr4 parser.